export const ColorLegend = ({
  colorScale,
  tickSpacing = 20,
}) => {
  return colorScale.domain().map((color, i) => {
    return (
      <g
        transform={`translate(0, ${i * tickSpacing + 20})`}
      >
        <circle
          fill={colorScale(color)}
          className="legend-circle"
        />
        <text className="legend-text axis-label" dy={'0.32em'} transform={`translate(16, 0)`}>
          {`${color[0].toUpperCase() + color.substring(1, color.length)}`}
        </text>
      </g>
    );
  });
};
