import React from 'react';

export const DropDown = ({
  options,
  selectedVal,
  onSelectedValChange,
  id,
  labelText,
}) => (
  <div>
    <label for={id}>{labelText}</label>
    <select
      id={id}
      onChange={(event) =>
        onSelectedValChange(event.target.value)
      }
    >
      {options.map((option) => (
        <option
          value={option.value}
          selected={
            option.value == selectedVal ? true : false
          }
        >
          {option.label}
        </option>
      ))}
    </select>
  </div>
);
