export const Marks = ({
  yScale,
  xScale,
  colorScale,
  colorVal,
  data,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius
}) =>
  data.map((d) => (
    <circle
      className="circle"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={circleRadius}
      fill={colorScale(colorVal(d))}
    >
      <title>{`X: ${tooltipFormat(xValue(d))}, Y: ${tooltipFormat(yValue(d))}, Species: ${d.species[0].toUpperCase() + d.species.substring(1, d.species.length)}`}</title>
    </circle>
  ));
